CUDPPConfiguration
Date: 2010-04-21

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jcuda.jcudpp
Class CUDPPConfiguration

    java.lang.Object
      jcuda.jcudpp.CUDPPConfiguration

    public class CUDPPConfiguration

extends java.lang.Object

Configuration struct used to specify algorithm, datatype, operator, and options when creating a plan for CUDPP algorithms.

See Also:
  `JCudpp.cudppPlan(jcuda.jcudpp.CUDPPHandle, jcuda.jcudpp.CUDPPConfiguration, long, long, long)`

Field Summary
`int` | `algorithm` The algorithm to be used
`int` | `datatype` The datatype of the input arrays
`int` | `op` The numerical operator to be applied
`int` | `options` Options to configure the algorithm

Constructor Summary
`CUDPPConfiguration()` Creates a new, uninitialized CUDPPConfiguration

Method Summary
`java.lang.String` | `toString()` Returns a String representation of this object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### algorithm

    public int algorithm

  The algorithm to be used

  See Also:
    `CUDPPAlgorithm`

### op

    public int op

  The numerical operator to be applied

  See Also:
    `CUDPPOperator`

### datatype

    public int datatype

  The datatype of the input arrays

  See Also:
    `CUDPPDatatype`

### options

    public int options

  Options to configure the algorithm

  See Also:
    `CUDPPOption`

Constructor Detail

### CUDPPConfiguration

    public CUDPPConfiguration()

  Creates a new, uninitialized CUDPPConfiguration

Method Detail

### toString

    public java.lang.String toString()

  Returns a String representation of this object.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    A String representation of this object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD